module Terraformer
  module Templating
    def apply_template(erb)
      ERB.new(open(template_path(erb)).read, nil, "-").result(binding)
    end

    def template_path(template_name)
      File.join(File.expand_path(File.dirname(__FILE__)), "template", template_name) << ".erb"
    end
  end
end
